import { LEFT, RIGHT, SIDE, DARK_THEME, THEME } from './const';
import { findEle } from './utils/dom';
import './index.less';
import './iconfont/iconfont.js';
import type { MindElixirData, MindElixirInstance, Options } from './types/index';
export * from './types/index';
/**
 * @function
 * @global
 * @name E
 * @param {string} id Node id.
 * @return {TargetElement} Target element.
 * @example
 * E('bd4313fbac40284b')
 */
export declare const E: (id: string, instance?: MindElixirInstance | undefined) => import("./types/dom").Topic;
/**
 * @export MindElixir
 * @example
 * let mind = new MindElixir({
  el: '#map',
  direction: 2,
  data: data,
  draggable: true,
  editable: true,
  contextMenu: true,
  toolBar: true,
  keypress: true,
})
mind.init()
 *
 */
declare function MindElixir(this: MindElixirInstance, { el, direction, locale, draggable, editable, contextMenu, contextMenuOption, toolBar, keypress, before, newTopicName, allowUndo, mainLinkStyle, subLinkStyle, overflowHidden, mainNodeHorizontalGap, mainNodeVerticalGap, mobileMenu, theme, }: Options): void;
declare namespace MindElixir {
    export var LEFT: number;
    export var RIGHT: number;
    export var SIDE: number;
    export var THEME: {
        name: string;
        palette: string[];
        cssVar: {
            '--main-color': string;
            '--main-bgcolor': string;
            '--color': string;
            '--bgcolor': string;
        };
    };
    export var DARK_THEME: {
        name: string;
        palette: string[];
        cssVar: {
            '--main-color': string;
            '--main-bgcolor': string;
            '--color': string;
            '--bgcolor': string;
        };
    };
    export var version: string;
    export var E: (id: string, instance?: MindElixirInstance | undefined) => import("./types/dom").Topic;
    var _a: (topic: string) => MindElixirData;
    export { _a as new };
}
interface MindElixirCtor {
    new (options: Options): MindElixirInstance;
    E: typeof findEle;
    new: typeof MindElixir.new;
    version: string;
    LEFT: typeof LEFT;
    RIGHT: typeof RIGHT;
    SIDE: typeof SIDE;
    THEME: typeof THEME;
    DARK_THEME: typeof DARK_THEME;
}
declare const _default: MindElixirCtor;
export default _default;
